from django.urls import path

from . import views

urlpatterns = [
    path("", views.index, name="financial_index"),
    path("timekeeping", views.timekeeping, name="Timekeeping"),
    path("time_logs", views.time_logs, name="time_logs"),
    path("time_logs/<int:log_id>/edit", views.edit_time_log, name="edit_time_log"),
    path("time_logs/<int:log_id>/delete", views.delete_time_log, name="delete_time_log"),
    path("timeapproval", views.timeapproval, name="Timeapproval"),
    path("contracts", views.contracts, name="contracts"),
    path("<str:contract_slug>/contract_detail", views.contract_detail, name="contract_detail"),
    path("new_contract", views.new_contract, name="new_contract"),
    path("new_employee", views.new_employee, name="new_employee"),
    path("<str:contract_slug>/new_charge_number", views.new_charge_number, name="new_charge_number"),
    path("<str:charge_number_slug>/update_charge_number", views.update_charge_number, name="update_charge_number"),
    #path("contracts/<int:contract_id>/", views.contract_detail, name="contract"),
    path("procurements", views.procurement, name="procurements"),
    path("profile", views.profile, name="profile"),
    path("client_reports", views.client_reports, name="client_reports"),
]